#!/bin/sh
b=${1%.*} 
echo "Processing HTML documentation for " $b
#
pdflatex $b
bibtex $b
pdflatex $b
pdflatex $b
latex2html $b
rm $b/tmp-jax.html
cd $b
#
for file in `ls -1 *.html`
  do
    echo $file
    #  echo "${file:0:10}"
    mv $file tmp-jax.html
    plug-jax < tmp-jax.html > $file
  done
cp $b.html index.html
cp $b.css tmp.css
sed -e 's/50em/80em/' tmp.css > $b.css 
cd ..
if [ ! -d "$gagsrcdir/integ/doc/html/$b-html" ]; then
  mkdir $gagsrcdir/integ/doc/html/$b-html
fi
cp $b/* $gagsrcdir/integ/doc/html/$b-html/

